#### D.5.2.11 chAllInv

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chAllInv(l); l a list of polynomials

Return:
  list of polynomials

Purpose:
  procedure inverse to chAll(), computes the list of Chern classes from the list of terms of positive degree of the Chern character

Note:
  makes sense only for a list of polynomials

Example:

    LIB "chern.lib";
    // first 3 Chern classes in terms of the first 3 terms
    // of the Chern character Chern  ch(1), ch(2), ch(3):
    ring r = 0, (ch(1..3)), dp;
    list l=(ch(1..3));
    print(chAllInv(l));
    // let's see that chAllInv() is inverse to chAll()
    print( chAll( chAllInv(l) ) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.